Subject: Re: bug#49888: 28.0.50; fido-mode not sorting by recency

From: Manuel Uberti <[email-masked]>
Date: Sun, 15 Aug 2021 10:34:19 +0200

On 15/08/21 10:22, João Távora wrote:
> Thanks for the report.  Seems like a nice reproduction recipe.  But it
> seems like it demonstrates the problem for two fido-mode-using things,
> right?  M-x _and_ C-x p p RET f, right?  No problem, just checking.

Yes, both M-x and C-x p p RET f, but the same is true for C-x p f once I am in a 
project. I used those two as examples because they are two of my most use 
commands and, among those, the ones with usually more candidates than the rest.

I feel like recency could make a difference especially with commands like these 
(i.e., commands with a lot of candidates) in terms of how quickly I can find 
what I am looking for.

> Indeed, ido-mode was quited perfected in recency stuff.  I was hard and
> still kind is to give up on its very nice default M-p binding that
> searches the recent history with whatever you have entered as a
> pattern.  I used to use that all the time, and still haven't found a
> nice substitute in fido-mode or any other completer for that matter.

True, although I still find M-p useful in fido-mode especially in M-x when I 
want to reach for the last or second-to-last command.

-- 
Manuel Uberti
www.manueluberti.eu